Subject: bug#76313: New function `replace-region`

From: Eli Zaretskii <[email-masked]>
Date: Wed, 05 Mar 2025 15:16:36 +0200

> From: Stefan Kangas <[email-masked]>
> Date: Tue, 4 Mar 2025 19:58:05 -0800
> Cc: Philipp Stephani <[email-masked]>, [email-masked], Eli Zaretskii <[email-masked]>, 
> 	Tassilo Horn <[email-masked]>
> 
> FWIW, I think that I'd personally rather see another function than
> complicating the `replace-region` interface just for this.

And I'm of the directly opposite opinion.  I think having 2 APIs for
this is too much; adding a 3rd is overboard.

I proposed some ways to avoid adding yet another API.  Yes, they are
less than ideal, but then we don't develop Emacs from scratch here, so
compromises are unavoidable.  (And it bothers me that two of the most
prolific Emacs contributors don't see t5he terrible downsides of
exponential explosion in the number of Emacs functions and variables.)